VIGRA - FFTWWriteRealAccessor class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| FFTWWriteRealAccessor Class Reference |
--- | --- | ---

`#include "vigra/fftw3.hxx"`

Inheritance diagram for FFTWWriteRealAccessor:

List of all members.

## Public Types
typedef fftw_real | value_type
| The accessor's value type.
typedef fftw_real | value_type
| The accessor's value type.
## Public Methods
template<class ITERATOR> void | set (value_type const &v, ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const
template<class ITERATOR> void | set (value_type const &v, ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> void | set (value_type const &v, ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

Write a real number into a complex one. The imaginary part is set to 0.

#include "vigra/fftw3.hxx" (for FFTW 3) or
#include "vigra/fftw.hxx" (for deprecated FFTW 2)
Namespace: vigra

## Member Function Documentation

void set | ( | value_type const & | v,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Write real number at offset from iterator position. Set imaginary part to 0. Reimplemented from FFTWRealAccessor.

void set | ( | value_type const & | v,
|  | ITERATOR const & | i
| ) | const`[inline]`

| Write real number at iterator position. Set imaginary part to 0. Reimplemented from FFTWRealAccessor.

void set | ( | value_type const & | v,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Write real number at offset from iterator position. Set imaginary part to 0. Reimplemented from FFTWRealAccessor.

void set | ( | value_type const & | v,
|  | ITERATOR const & | i
| ) | const`[inline]`

| Write real number at iterator position. Set imaginary part to 0. Reimplemented from FFTWRealAccessor.

The documentation for this class was generated from the following files:

- vigra/fftw.hxx
- vigra/fftw3.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)